Memory履歴修正の適用
ペアの直接EVOLVESエッジをアトミックに調整し、残りの置換グラフから可視性を再計算し、冪等なガバナンスレシートを書き込みます。
リクエストボディ
application/json
TypeScript定義
TypeScriptでrequest body型を使用します。
レスポンスボディ
application/json
curl -X POST "https://example.com/memories/evolves/revision/apply" \ -H "Content-Type: application/json" \ -d '{ "decision": "string", "memory_ids": [ "string" ], "plan_id": "string" }'{ "already_applied": true, "authoritative_memory_id": "string", "decision": "string", "labels_preserved": true, "memories": [ { "created_at": null, "id": "string", "is_latest": true, "lifecycle_state": "string", "space_id": "string", "title": "string" } ], "plan_id": "string", "relation": "string", "removed_edges": 0}